Subject: [Dime] Spencer Dawkins' No Objection on draft-ietf-dime-4over6-provisioning-04: (with COMMENT)

From: "Spencer Dawkins" <[email-masked]>
Date: Tue, 04 Aug 2015 08:23:48 -0700

Spencer Dawkins has entered the following ballot position for
draft-ietf-dime-4over6-provisioning-04: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-dime-4over6-provisioning/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

A nit - this text

   [RFC6519] sets a precedent for representation of the IPv6 address of
   a border router as an FQDN.  This can be dereferenced to one or more
   IP addresses by the provisioning system before being passed to the
   customer equipment, or left as an FQDN as it as in [RFC6334].
                                          ^^^^^^^^^^^                   

seems garbled.

In this text

3.4.1.  Delegated-IPv6-Prefix As the IPv6 Binding Prefix

   The Delegated-IPv6-Prefix AVP (AVP code 123) is of type Octetstring,
   and is defined in [RFC4818].  Within the Tunnel-Source-Pref-Or-Addr
   AVP, it conveys the IPv6 Binding Prefix assigned to the CE.  Valid
   values in the Prefix-Length field are from 0 to 128 (full address),
   although a more restricted range is obviously more reasonable.
                                       ^^^^^^^^^^^^^^^^^^^^^^^^^
I wonder if "obviously more reasonable" is the right thing to say. Is
this saying something like "more scalable" (compared to bunches of
128-bit IP binding prefixes)? Or am I misunderstanding the point?

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Tue, 4 Aug 2015 10:27:42 -0500

Just curious. Does anyone have an updated address for Sun Qiong?

I'm getting

<[email-masked]> (expanded from
    <[email-masked]>): host
    mail.ctbri.com.cn[219.142.69.47] said: 554 5.7.1 Error: invalid sender
by
    SPF from 4.31.198.44 (in reply to RCPT TO command)

Final-Recipient: rfc822; [email-masked]
Original-Recipient: rfc822;
[email-masked]
Action: failed
Status: 5.7.1
Remote-MTA: dns; mail.ctbri.com.cn
Diagnostic-Code: smtp; 554 5.7.1 Error: invalid sender by SPF from
4.31.198.44

Thanks!

Spencer

---

From: <[email-masked]>
Date: Thu, 6 Aug 2015 07:58:06 +0000

Hi Spencer,

Thank you for the review. 

Please see inline.

Cheers,
Med

> -----Message d'origine-----
> De : Spencer Dawkins [mailto:[email-masked]]
> Envoyé : mardi 4 août 2015 17:24
> À : The IESG
> Cc : MORAND Lionel IMT/OLN; [email-masked]; draft-ietf-dime-4over6-
> [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Objet : Spencer Dawkins' No Objection on draft-ietf-dime-4over6-
> provisioning-04: (with COMMENT)
> 
[Med] Fixed.

>    although a more restricted range is obviously more reasonable.
[Med] "more reasonable" is used because hosts are usually provisioned with prefixes such as /48, /56 or /64 (which are "restricted ranges"). 

We can delete "although a more restricted range is obviously more reasonable" if this is confusing.

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 6 Aug 2015 07:32:49 -0500

> Thank you for the review.

Thank you for the quick response!

> > Please refer to
> https://www.ietf.org/iesg/statement/discuss-criteria.html
> [Med] "more reasonable" is used because hosts are usually provisioned with
> prefixes such as /48, /56 or /64 (which are "restricted ranges").
>

What I was thinking, was that the value you use in the Prefix-Length isn't
because it's reasonable, it's because that's actually the provisioned
prefix length.

Deleting that text would work for me (at the level of a comment, of course).

Spencer

---

From: <[email-masked]>
Date: Thu, 6 Aug 2015 12:38:32 +0000

Re-,

Deal!

Cheers,
Med

De : Spencer Dawkins at IETF [mailto:[email-masked]]
Envoyé : jeudi 6 août 2015 14:33
À : BOUCADAIR Mohamed IMT/OLN
Cc : MORAND Lionel IMT/OLN; [email-masked]; [email-masked]; The IESG; [email-masked]; [email-masked]; [email-masked]; Qiong
Objet : Re: Spencer Dawkins' No Objection on draft-ietf-dime-4over6-provisioning-04: (with COMMENT)

On Thu, Aug 6, 2015 at 2:58 AM, <[email-masked]<mailto:[email-masked]>> wrote:
Hi Spencer,

Please see inline.

Cheers,
Med

> De : Spencer Dawkins [mailto:[email-masked]<mailto:[email-masked]>]
> Cc : MORAND Lionel IMT/OLN; [email-masked]<mailto:[email-masked]>; draft-ietf-dime-4over6-
> [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>;
> [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
[Med] Fixed.

What I was thinking, was that the value you use in the Prefix-Length isn't because it's reasonable, it's because that's actually the provisioned prefix length.

Spencer